## XviewerSidebar XviewerSidebar |

## Functions

GtkWidget * | xviewer_sidebar_new ()
void | xviewer_sidebar_add_page ()
void | xviewer_sidebar_remove_page ()
void | xviewer_sidebar_set_page ()
gint | xviewer_sidebar_get_n_pages ()
gboolean | xviewer_sidebar_is_empty ()

## Types and Values

struct | XviewerSidebar

## Description

## Functions

### xviewer_sidebar_new ()

    GtkWidget *
    xviewer_sidebar_new (void);

### xviewer_sidebar_add_page ()

    void
    xviewer_sidebar_add_page (XviewerSidebar *xviewer_sidebar,
                              const gchar *title,
                              GtkWidget *main_widget);

### xviewer_sidebar_remove_page ()

    void
    xviewer_sidebar_remove_page (XviewerSidebar *xviewer_sidebar,
                                 GtkWidget *main_widget);

### xviewer_sidebar_set_page ()

    void
    xviewer_sidebar_set_page (XviewerSidebar *xviewer_sidebar,
                              GtkWidget *main_widget);

### xviewer_sidebar_get_n_pages ()

    gint
    xviewer_sidebar_get_n_pages (XviewerSidebar *xviewer_sidebar);

### xviewer_sidebar_is_empty ()

    gboolean
    xviewer_sidebar_is_empty (XviewerSidebar *xviewer_sidebar);

## Types and Values

### struct XviewerSidebar

    struct XviewerSidebar {
    	GtkBox base_instance;

    	XviewerSidebarPrivate *priv;
    };